Module
Contents
Index 🔎︎

# Exit Statement

Exits a Do...Loop, For...Next, a function, or a subroutine.

## Syntax:

    see Parameters

## Parameters:

Exit Do

Only valid within a Do...Loop statement to exit the loop. Program execution continues with the statement that follows the Loop statement. If Do...Loop statements are nested, the control is transferred to the loop in the next higher level.

Exit For

Only valid within a For...Next loop to exit the loop. Program execution continues with the first statement that follows the Next statement. In nested statements, the control is transferred to the loop in the next higher level.

Exit Function

Exits the Function procedure immediately. Program execution continues with the statement that follows the Function call.

Exit Sub

Exits the subroutine immediately. Program execution continues with the statement that follows the Sub call.

The Exit statement does not define the end of a structure, and must not be confused with the End statement.

## Example:

    Sub ExampleExit

    Dim sReturn As String

    Dim sListArray(10) As String

    Dim siStep As Single

        For siStep = 0 To 10 ' Fill array with test data

            sListArray(siStep) = chr(siStep + 65)

            MsgBox sListArray(siStep)

        Next siStep

        sReturn = LinSearch(sListArray(), "B")

        Print sReturn

    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer

    Dim iCount As Integer

    ' LinSearch searches a TextArray:sList() for a TextEntry:

    ' Returns the index of the entry or 0 (Null)

        For iCount=1 To Ubound( sList() )

            If sList( iCount ) = sItem Then

                Exit For ' sItem found

            End If

        Next iCount

        If iCount = Ubound( sList() ) Then iCount = 0

        LinSearch = iCount

    End Function